## RygelHTTPRequest

RygelHTTPRequest — Base class for HTTP client requests.

## Functions

void | rygel_http_request_handle ()
void | rygel_http_request_handle_finish ()
void | rygel_http_request_find_item ()
void | rygel_http_request_find_item_finish ()
void | rygel_http_request_handle_error ()
void | rygel_http_request_end ()

## Properties

GCancellable * | cancellable | Read / Write

## Types and Values

#define | RYGEL_TYPE_HTTP_REQUEST
struct | RygelHTTPRequest
struct | RygelHTTPRequestClass
enum | RygelHTTPRequestError

## Object Hierarchy

        GObject
        ╰── RygelHTTPRequest
            ╰── RygelHTTPGet

## Implemented Interfaces

RygelHTTPRequest implements RygelStateMachine.

## Description

## Functions

### rygel_http_request_handle ()

    void
    rygel_http_request_handle (RygelHTTPRequest *self,
                               GAsyncReadyCallback _callback_,
                               gpointer _user_data_);

See also: `rygel_http_request_handle_finish()`

#### Parameters

self | the RygelHTTPRequest instance |
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

### rygel_http_request_handle_finish ()

    void
    rygel_http_request_handle_finish (RygelHTTPRequest *self,
                                      GAsyncResult *_res_,
                                      GError **error);

See also: `rygel_http_request_handle()`

#### Parameters

self | the RygelHTTPRequest instance |
_res_ | a GAsyncResult |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_http_request_find_item ()

    void
    rygel_http_request_find_item (RygelHTTPRequest *self,
                                  GAsyncReadyCallback _callback_,
                                  gpointer _user_data_);

See also: `rygel_http_request_find_item_finish()`

#### Parameters

self | the RygelHTTPRequest instance |
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

### rygel_http_request_find_item_finish ()

    void
    rygel_http_request_find_item_finish (RygelHTTPRequest *self,
                                         GAsyncResult *_res_,
                                         GError **error);

See also: `rygel_http_request_find_item()`

#### Parameters

self | the RygelHTTPRequest instance |
_res_ | a GAsyncResult |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_http_request_handle_error ()

    void
    rygel_http_request_handle_error (RygelHTTPRequest *self,
                                     GError *_error_);

#### Parameters

self | the RygelHTTPRequest instance |
error |  |

### rygel_http_request_end ()

    void
    rygel_http_request_end (RygelHTTPRequest *self,
                            guint status,
                            const gchar *reason);

#### Parameters

self | the RygelHTTPRequest instance |
status |  |
reason |  |

## Types and Values

### RYGEL_TYPE_HTTP_REQUEST

    #define RYGEL_TYPE_HTTP_REQUEST (rygel_http_request_get_type ())

The type for RygelHTTPRequest.

### struct RygelHTTPRequest

    struct RygelHTTPRequest;

Base class for HTTP client requests.

### struct RygelHTTPRequestClass

    struct RygelHTTPRequestClass {
    	GObjectClass parent_class;
    	void (*handle) (RygelHTTPRequest* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*handle_finish) (RygelHTTPRequest* self, GAsyncResult* _res_, GError** error);
    	void (*find_item) (RygelHTTPRequest* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*find_item_finish) (RygelHTTPRequest* self, GAsyncResult* _res_, GError** error);
    };

The class structure for `RYGEL_TYPE_HTTP_REQUEST`. All the fields in this structure are private and should never be accessed directly.

#### Members

`handle` () | virtual method used internally |
`handle_finish` () | asynchronous finish function used internally |
`find_item` () | virtual method used internally |
`find_item_finish` () | asynchronous finish function used internally |

### enum RygelHTTPRequestError

#### Members

RYGEL_HTTP_REQUEST_ERROR_UNACCEPTABLE |  |
RYGEL_HTTP_REQUEST_ERROR_BAD_REQUEST |  |
RYGEL_HTTP_REQUEST_ERROR_NOT_FOUND |  |
RYGEL_HTTP_REQUEST_ERROR_INTERNAL_SERVER_ERROR |  |

## Property Details

### The `“cancellable”` property

      “cancellable”              GCancellable *

cancellable.

Flags: Read / Write